using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using Syncfusion.Windows.Forms.Chart;
using Syncfusion.Pdf;

namespace ExportToPDF
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private Syncfusion.Windows.Forms.Chart.ChartControl chartControl1;
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.Button button1;
		private ChartDockControl chartDockControl1;
		private int count = 0;
		private DataTable dt ;
		private System.Windows.Forms.NumericUpDown numericUpDown1;
		private System.Windows.Forms.NumericUpDown numericUpDown2;
		private System.Windows.Forms.CheckBox checkBox1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			InitializeControlSettings();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		private void InitializeControlSettings()
		{
			this.chartControl1.Font = new System.Drawing.Font("Arial", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));

			// Specify a ChartPalette:
			Color[] color = new Color[]{Color.FromArgb(115, 73,141,238),Color.FromArgb(115,186,66,30), Color.FromArgb(115,247,179,78), Color.FromArgb(115,242,19,78)};
			this.chartControl1.Palette = ChartColorPalette.Custom ;
			this.chartControl1.Model.ColorModel.CustomColors = color;
			this.chartControl1.Palette = ChartColorPalette.Custom ;

			this.chartControl1.ChartInterior = new Syncfusion.Drawing.BrushInfo(185,new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, Color.LightBlue , Color.Azure));
			this.chartControl1.LegendPosition = ChartDock.Top;
			this.chartControl1.HidePartialLabels = true;
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Form1));
			this.chartControl1 = new Syncfusion.Windows.Forms.Chart.ChartControl();
			this.panel1 = new System.Windows.Forms.Panel();
			this.numericUpDown1 = new System.Windows.Forms.NumericUpDown();
			this.button1 = new System.Windows.Forms.Button();
			this.numericUpDown2 = new System.Windows.Forms.NumericUpDown();
			this.checkBox1 = new System.Windows.Forms.CheckBox();
			this.panel1.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.numericUpDown1)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.numericUpDown2)).BeginInit();
			this.SuspendLayout();
			// 
			// chartControl1
			// 
			this.chartControl1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.chartControl1.Controls.Add(this.chartControl1.Legend);
			// 
			// chartControl1.Legend
			// 
			this.chartControl1.Legend.Font = new System.Drawing.Font("Verdana", 10F);
			this.chartControl1.Legend.ItemsShadowColor = System.Drawing.Color.Gray;
			this.chartControl1.Legend.Location = new System.Drawing.Point(331, 192);
			this.chartControl1.Legend.Name = "";
			this.chartControl1.Legend.TabIndex = 3;
			this.chartControl1.Location = new System.Drawing.Point(0, 0);
			this.chartControl1.Name = "chartControl1";
			this.chartControl1.PrimaryXAxis.LabelAligment = System.Drawing.StringAlignment.Center;
			this.chartControl1.PrimaryXAxis.Orientation = Syncfusion.Windows.Forms.Chart.ChartOrientation.Horizontal;
			this.chartControl1.PrimaryYAxis.LabelAligment = System.Drawing.StringAlignment.Center;
			this.chartControl1.Size = new System.Drawing.Size(432, 374);
			this.chartControl1.TabIndex = 0;
			this.chartControl1.Text = "Essential Chart";
			this.chartControl1.ToolBar.Location = new System.Drawing.Point(0, 0);
			// 
			// panel1
			// 
			this.panel1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.panel1.BackColor = System.Drawing.Color.White;
			this.panel1.Controls.Add(this.checkBox1);
			this.panel1.Controls.Add(this.numericUpDown2);
			this.panel1.Controls.Add(this.numericUpDown1);
			this.panel1.Controls.Add(this.button1);
			this.panel1.Location = new System.Drawing.Point(432, 0);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(120, 376);
			this.panel1.TabIndex = 1;
			// 
			// numericUpDown1
			// 
			this.numericUpDown1.Increment = new System.Decimal(new int[] {
																			 10,
																			 0,
																			 0,
																			 0});
			this.numericUpDown1.Location = new System.Drawing.Point(8, 152);
			this.numericUpDown1.Maximum = new System.Decimal(new int[] {
																		   360,
																		   0,
																		   0,
																		   0});
			this.numericUpDown1.Name = "numericUpDown1";
			this.numericUpDown1.Size = new System.Drawing.Size(96, 20);
			this.numericUpDown1.TabIndex = 1;
			this.numericUpDown1.Value = new System.Decimal(new int[] {
																		 360,
																		 0,
																		 0,
																		 0});
			this.numericUpDown1.ValueChanged += new System.EventHandler(this.numericUpDown1_ValueChanged);
			// 
			// button1
			// 
			this.button1.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.button1.Image = ((System.Drawing.Image)(resources.GetObject("button1.Image")));
			this.button1.ImageAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.button1.Location = new System.Drawing.Point(8, 32);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(104, 23);
			this.button1.TabIndex = 0;
			this.button1.Text = "Export to PDF";
			this.button1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// numericUpDown2
			// 
			this.numericUpDown2.Increment = new System.Decimal(new int[] {
																			 10,
																			 0,
																			 0,
																			 0});
			this.numericUpDown2.Location = new System.Drawing.Point(8, 200);
			this.numericUpDown2.Maximum = new System.Decimal(new int[] {
																		   90,
																		   0,
																		   0,
																		   0});
			this.numericUpDown2.Name = "numericUpDown2";
			this.numericUpDown2.Size = new System.Drawing.Size(96, 20);
			this.numericUpDown2.TabIndex = 2;
			this.numericUpDown2.Value = new System.Decimal(new int[] {
																		 90,
																		 0,
																		 0,
																		 0});
			this.numericUpDown2.ValueChanged += new System.EventHandler(this.numericUpDown2_ValueChanged);
			// 
			// checkBox1
			// 
			this.checkBox1.Checked = true;
			this.checkBox1.CheckState = System.Windows.Forms.CheckState.Checked;
			this.checkBox1.Location = new System.Drawing.Point(16, 80);
			this.checkBox1.Name = "checkBox1";
			this.checkBox1.Size = new System.Drawing.Size(96, 24);
			this.checkBox1.TabIndex = 3;
			this.checkBox1.Text = "RealMode3D";
			this.checkBox1.Visible = false;
			this.checkBox1.CheckedChanged += new System.EventHandler(this.checkBox1_CheckedChanged);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(552, 374);
			this.Controls.Add(this.chartControl1);
			this.Controls.Add(this.panel1);
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Name = "Form1";
			this.Text = "Sample";
			this.Load += new System.EventHandler(this.Form1_Load);
			this.panel1.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.numericUpDown1)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.numericUpDown2)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.EnableVisualStyles();
			Application.Run(new Form1());
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			InitializeChartData();
		}

		protected void InitializeChartData()
		{

			this.chartControl1.Series3D = true;
			this.chartControl1.RealMode3D = false;
			this.chartControl1.Rotation = 360;
			this.chartControl1.Tilt = 90;
			
			ChartSeries series1 = this.chartControl1.Model.NewSeries("Furnace 1",ChartSeriesType.SplineArea);
			series1.Text = series1.Name;

			series1.Points.Add(0,345);
			series1.Points.Add(1,256);
			series1.Points.Add(2,491);
			series1.Points.Add(3,382);
			series1.Points.Add(4,437);
			series1.Points.Add(5,321);
			series1.Points.Add(6,412);
			series1.Points.Add(7,451);
			series1.Points.Add(8,490);
			series1.Points.Add(9,366);
			series1.Points.Add(10,422);
			series1.Points.Add(11,263);
			

			ChartSeries series2 = this.chartControl1.Model.NewSeries("Furnace 2",ChartSeriesType.SplineArea);
			series2.Text = series2.Name;

			series2.Points.Add(0,245);
			series2.Points.Add(1,156);
			series2.Points.Add(2,391);
			series2.Points.Add(3,282);
			series2.Points.Add(4,337);
			series2.Points.Add(5,221);
			series2.Points.Add(6,312);
			series2.Points.Add(7,351);
			series2.Points.Add(8,390);
			series2.Points.Add(9,266);
			series2.Points.Add(10,322);
			series2.Points.Add(11,163);
			

			ChartSeries series3 = this.chartControl1.Model.NewSeries("Furnace 3",ChartSeriesType.SplineArea);
			series3.Text = series3.Name;

			series3.Points.Add(0,45);
			series3.Points.Add(1,56);
			series3.Points.Add(2,91);
			series3.Points.Add(3,82);
			series3.Points.Add(4,37);
			series3.Points.Add(5,21);
			series3.Points.Add(6,12);
			series3.Points.Add(7,51);
			series3.Points.Add(8,90);
			series3.Points.Add(9,66);
			series3.Points.Add(10,22);
			series3.Points.Add(11,63);

			series3.Style.PointWidth = 0.5f;
			

			ChartSeries series4 = this.chartControl1.Model.NewSeries("Furnace 4",ChartSeriesType.SplineArea);
			series4.Text = series4.Name;

			series4.Points.Add(0,35);
			series4.Points.Add(1,26);
			series4.Points.Add(2,41);
			series4.Points.Add(3,32);
			series4.Points.Add(4,47);
			series4.Points.Add(5,31);
			series4.Points.Add(6,42);
			series4.Points.Add(7,41);
			series4.Points.Add(8,40);
			series4.Points.Add(9,36);
			series4.Points.Add(10,42);
			series4.Points.Add(11,23);
			
			this.chartControl1.Series.Add(series4);
			this.chartControl1.Series.Add(series3);
			this.chartControl1.Series.Add(series2);
			this.chartControl1.Series.Add(series1);

//			ChartSeries seriesAv = this.chartControl1.Model.NewSeries("Moving Average",ChartSeriesType.Spline);
//			seriesAv.Text = seriesAv.Name;
//
//			Random r = new Random();
//			
//			for(int i=0;i<12;i=i+3)
//			{
//				double sum = 0;
//				for(int j=0;j<3;j++)
//				{
//					sum += this.chartControl1.Series[0].Points[i+j].YValues[0];
//				}
//				seriesAv.Points.Add(i,sum/3);
//			}
//
//			this.chartControl1.Series.Add(seriesAv);

			this.chartControl1.PrimaryXAxis.RangeType = ChartAxisRangeType.Set;
			this.chartControl1.PrimaryXAxis.Range = new MinMaxInfo(0,11,1);
			this.chartControl1.PrimaryXAxis.Title = "Time (in hrs)";
			this.chartControl1.PrimaryYAxis.Title = "Temperature";
			this.chartControl1.PrimaryYAxis.Range.Min =0;
			this.chartControl1.Text = "Furnace History Chart";
		}

		private void button1_Click(object sender, System.EventArgs e)
		{
			//This saves the chart as an image.
			this.chartControl1.SaveImage("chart.png");
						
			//Create a new PDF Document. The pdfDoc object represents the PDF document.
			//This document has one page by default and additional pages have to be added.
			PDFDocument pdfDoc = new PDFDocument();

			//Draw image with different sizes and positions	
			pdfDoc.LastPage.Graphics.DrawImage(new PointF(10, 30), "chart.png", new Size(150,100));

			pdfDoc.LastPage.Graphics.DrawImage(new PointF(70, 150), "chart.png");

			pdfDoc.LastPage.Graphics.DrawImage(new PointF(50, 440), "chart.png");

			//Save the PDF Document to disk.
			pdfDoc.Save("Sample.pdf");

			if (MessageBox.Show("Do you want to view the PDF file?", "PDF File Created", MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.Yes)
			{
				//Launching the PDF file using the default Application.[Acrobat Reader]
				System.Diagnostics.Process.Start("Sample.pdf");
				this.Close();
			}
			else
				// Exit
				this.Close();
		}

		private void numericUpDown1_ValueChanged(object sender, System.EventArgs e)
		{
			this.chartControl1.Rotation = (float)this.numericUpDown1.Value;
		}

		private void numericUpDown2_ValueChanged(object sender, System.EventArgs e)
		{
			this.chartControl1.Tilt = (float)this.numericUpDown2.Value;
		}

		private void checkBox1_CheckedChanged(object sender, System.EventArgs e)
		{
			this.chartControl1.RealMode3D = this.checkBox1.Checked;
		}
	}
}
